Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453660 - Verify that bugbot continues to work properly with latest Bugzilla 3.2 release
Summary: Verify that bugbot continues to work properly with latest Bugzilla 3.2 release
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: WebService
Version: 3.2
Hardware: All
OS: Linux
high
low vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: RHBZ30UpgradeTracker
TreeView+ depends on / blocked
 
Reported: 2008-07-01 19:06 UTC by David Lawrence
Modified: 2013-06-24 04:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-30 20:15:15 UTC


Attachments (Terms of Use)

Description David Lawrence 2008-07-01 19:06:46 UTC
Need to set up a test instance of bugbot and point to partner-bugzilla.redhat.com.
Make sure all modifications, queries continue to work properly.

Methods used by bugbot:
bugzilla.getBugActivity
bugzilla.closeBug
bugzilla.updateFlags
bugzilla.updateDepends
bugzilla.addComment
bugzilla.updateMilestone
bugzilla.runQuery
bugzilla.getCompDesc

Dave

Comment 1 David Lawrence 2008-07-22 21:21:46 UTC
Several errors occurred during update_flags_bug():

Just a few examples:

update_flags_bug(249525):
<?xml version="1.0"
encoding="UTF-8"?><methodCall><methodName>bugzilla.updateFlags</methodName><params><param><value><int>249525</int></value></param><param><value><struct><member><name>rhel-5.3.0</name><value><string>-</string></value></member></struct></value></param><param><value><string>pm-rhel@redhat.com</string></value></param><param><value><string></string></value></param></params></methodCall>

<?xml version="1.0"
encoding="UTF-8"?><methodResponse><fault><value><struct><member><name>faultString</name><value><string>Can\'t
call method "can_see_flag" on an undefined value at
/var/www/html/bugzilla/Bugzilla/Flag.pm line 1100.
</string></value></member><member><name>faultCode</name><value><string>Server</string></value></member></struct></value></fault></methodResponse>

update_flags_bug(432899):
<?xml version="1.0"
encoding="UTF-8"?><methodCall><methodName>bugzilla.updateFlags</methodName><params><param><value><int>432899</int></value></param><param><value><struct><member><name>rhel-5.3.0</name><value><string>-</string></value></member></struct></value></param><param><value><string>pm-rhel@redhat.com</string></value></param><param><value><string></string></value></param></params></methodCall>

<?xml version="1.0"
encoding="UTF-8"?><methodResponse><fault><value><struct><member><name>faultString</name><value><string>Can\'t
call method "can_see_flag" on an undefined value at
/var/www/html/bugzilla/Bugzilla/Flag.pm line 1100.
</string></value></member><member><name>faultCode</name><value><string>Server</string></value></member></struct></value></fault></methodResponse>

Will have to look in Flag.pm and see why can_see_flag() is failing as it looks
like the data we are passing in is proper.

Dave


Comment 2 David Lawrence 2008-07-23 20:10:44 UTC
Got a few additional errors:

<?xml version="1.0"
encoding="UTF-8"?><methodResponse><fault><value><struct><member><name>faultString</name><value><string>Can\'t
use internal_whiteboard as a field
name.</string></value></member><member><name>faultCode</name><value><int>108</int></value></member></struct></value></fault></methodResponse>

Some rules are referring to internal_whiteboard and devel_whiteboard in runQuery
which we will need to change to cf_internal_whiteboard and cf_devel_whiteboard
respectively when 3.2 goes live. Will add comments in bugbot.conf with needed
changes explaining when to enable the changes.

Dave

Comment 3 David Lawrence 2008-07-23 20:42:58 UTC
Updated bugbot.conf committed to SVN to address field name changes. New bugbot
package will need to be pushed when bz3.2 goes live.

The can_see_flag error has been fixed and committed to CVS.

Dave

Comment 4 David Lawrence 2008-07-30 20:15:15 UTC
Pushed to partner-bugzilla.redhat.com today.


Note You need to log in before you can comment on or make changes to this bug.